Versions

Get sync status

Returns the current sync status for an exact Buildprint synced version ID.

GET /api/public/v1/versions/status

Get sync status

curl --request GET \
  --url 'https://api.buildprint.ai/api/public/v1/versions/status' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "ok": true,
  "status": "in_progress",
  "stage": "pending",
  "versionId": "<string>",
  "version": "<string>",
  "appVersion": "<string>",
  "message": "<string>",
  "error": "<string>"
}

Sync status found

Authorizations

  • Authorization string obrigatório header

    Workspace REST API token prefixed with bp_

Query Parameters

  • appId string obrigatório

    Bubble app ID for the project.

  • versionId string obrigatório

    Exact Buildprint synced version ID.

Response

application/json
  • ok boolean

    Always true when the request was accepted.

  • status string enum enum

    High-level sync status derived from the stage. Allowed values: in_progress, completed, failed.

  • stage string enum enum

    Lifecycle stage of the synced version. Allowed values: pending, stored, indexing, completed, failed.

  • versionId string

    Exact Buildprint synced version ID created for this sync run.

  • version string

    Canonical Bubble branch ID that was synced.

  • appVersion string

    Alias of version for compatibility.

  • message string

    Human-readable status guidance.

  • error string

    Failure message when the sync status is failed.